package dev.crucifixbeta.api.events.impl;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.block.BlockState;

@Environment(EnvType.CLIENT)
public class BlockActivateEvent {
   private static final BlockActivateEvent INSTANCE = new BlockActivateEvent();
   public BlockState blockState;

   private BlockActivateEvent() {
   }

   public static BlockActivateEvent get(BlockState blockState) {
      INSTANCE.blockState = blockState;
      return INSTANCE;
   }
}
